unlock_mutex
Prev | Chapter 1. Dbstl Global Public Functions | Next

## unlock_mutex

### Function Details

     int unlock_mutex(db_mutex_t mtx)

Unlock a mutex, and return immediately.

#### Parameters

##### mtx

The mutex handle to unlock.

#### Return Value

0 if succeed, non-zero otherwise, call db_strerror to get message.

### Group: Mutex API based on Berkeley DB mutex.

These functions are in-process mutex support which uses Berkeley DB mutex mechanisms.

You can call these functions to do portable synchronization for your code.

### Class

dbstl_global_functions

Prev | Up | Next
lock_mutex | Home | free_mutex